| Home | Libraries | People | FAQ | More

## Class Index

A B C D E F G H I J K L M N O P Q R S T U V W

A

  - abstract_optimizer

    - Nesterov Accelerated Gradient Descent

  - arcsine_distribution

  - argument_container_t

    - minimize

B

  - backward_recurrence_iterator

    - Tools For 3-Term Recurrence Relations

  - barycentric_rational

    - Barycentric Rational Interpolation

  - bernoulli_distribution

  - beta_distribution

  - bezier_polynomial

    - Bezier Polynomials

  - bilinear_uniform

    - Bilinear Uniform Interpolation

  - binomial_distribution

  - box_constraints

    - minimize

C

  - cardinal_cubic_b_spline

    - Cardinal Cubic B-spline interpolation

  - cardinal_cubic_hermite

    - Cubic Hermite interpolation

  - cardinal_cubic_hermite_aos

    - Cubic Hermite interpolation

  - cardinal_quadratic_b_spline

    - Cardinal Quadratic B-spline interpolation

  - cardinal_quintic_b_spline

    - Cardinal Quintic B-spline interpolation

  - cardinal_quintic_hermite

    - Quintic Hermite interpolation

  - cardinal_quintic_hermite_aos

    - Quintic Hermite interpolation

  - cardinal_trigonometric

    - Cardinal Trigonometric interpolation

  - catmull_rom

    - Catmull-Rom Splines

  - cauchy_distribution

    - Cauchy-Lorentz Distribution

  - centered_continued_fraction

    - Centered Continued Fractions

  - chebyshev_transform

    - Chebyshev Polynomials

  - chi_squared_distribution

  - cma_es_parameters

    - Evolution Strategy with Covariance Matrix Adaptation

  - combined_convergence_policy

    - minimize

  - complex

    - Continued Fraction Evaluation

    - Series Evaluation

  - construction_traits

    - Use With User-Defined Types

  - costant_initializer_rvar

    - Reverse Mode autodiff policies

  - cubic_hermite

    - Cubic Hermite interpolation

D

  - daubechies_scaling

    - Daubechies Wavelets and Scaling Functions

  - daubechies_wavelet

    - Daubechies Wavelets and Scaling Functions

  - daubechies_wavelet_transform

    - Wavelet Transforms

  - default_policy

    - Policy Class Reference

  - differential_evolution_parameters

    - Differential Evolution

  - discrete_lanczos_derivative

    - Lanczos Smoothing Derivatives

  - div_t

    - Constexpr CMath

E

  - empirical_cumulative_distribution_function

  - engel_expansion

  - eps_tolerance

    - Termination Condition Functors

  - equal_ceil

    - Termination Condition Functors

  - equal_floor

    - Termination Condition Functors

  - equal_nearest_integer

    - Termination Condition Functors

  - expint_fraction

    - Continued Fraction Evaluation

  - exponential_distribution

  - expression

    - Reverse Mode Automatic Differentiation

  - exp_sinh

    - exp_sinh

    - Overview

  - extreme_value_distribution

F

  - fibonacci_generator

    - Fibonacci Numbers

  - fisher_f_distribution

    - F Distribution

  - forward_recurrence_iterator

    - Tools For 3-Term Recurrence Relations

  - function_constraint

    - minimize

  - fvar

    - Automatic Differentiation

G

  - gamma_distribution

    - Gamma (and Erlang) Distribution

  - gauss

    - Gauss-Legendre quadrature

  - gauss_kronrod

    - Gauss-Kronrod Quadrature

  - geometric_distribution

  - gradient_descent

  - gradient_norm_convergence_policy

    - minimize

  - gradient_tape

    - Reverse Mode Automatic Differentiation

H

  - holtsmark_distribution

  - hyperexponential_distribution

  - hypergeometric_distribution

I

  - inverse_chi_squared_distribution

  - inverse_gamma_distribution

  - inverse_gaussian_distribution

    - Inverse Gaussian (or Inverse Normal) Distribution

J

  - jso_parameters

    - Algorithm jSO

K

  - kolmogorov_smirnov_distribution

L

  - l1_ball_constraint

    - minimize

  - l2_ball_constraint

    - minimize

  - landau_distribution

  - laplace_distribution

  - lbfgs

    - L-BFGS

  - legendre_stieltjes

    - Legendre-Stieltjes Polynomials

  - log1p_series

    - Series Evaluation

  - logistic_distribution

  - lognormal_distribution

    - Log Normal Distribution

  - luroth_expansion

    - Luroth Expansions

M

  - makima

    - Modified Akima interpolation

  - mapairy_distribution

    - Map-Airy Distribution

  - max_factorial

    - Factorial

  - max_iter_termination_policy

    - minimize

N

  - naive_monte_carlo

    - Naive Monte Carlo Integration

  - negative_binomial_distribution

  - nesterov_accelerated_gradient

    - Nesterov Accelerated Gradient Descent

  - nesterov_update_policy

    - Nesterov Accelerated Gradient Descent

  - nonfinite_num_get

    - Facets for Floating-Point Infinities and NaNs

  - nonfinite_num_put

    - Facets for Floating-Point Infinities and NaNs

  - nonnegativity_constraint

    - minimize

  - non_central_beta_distribution

    - Noncentral Beta Distribution

  - non_central_chi_squared_distribution

    - Noncentral Chi-Squared Distribution

  - non_central_f_distribution

    - Noncentral F Distribution

  - non_central_t_distribution

    - Noncentral T Distribution

  - normalise

    - Policy Class Reference

  - normal_distribution

    - Normal (Gaussian) Distribution

O

  - objective_tol_convergence_policy

    - minimize

  - octonion

    - Octonion Non-Member Operators

    - Octonion Specializations

    - Template Class octonion

  - ooura_fourier_cos

    - Fourier Integrals

  - ooura_fourier_sin

    - Fourier Integrals

  - optimization_result

    - minimize

P

  - pareto_distribution

  - pchip

    - PCHIP interpolation

  - poisson_distribution

  - promote_args

    - Calling User Defined Error Handlers

    - Implementation

    - Setting Policies at Namespace or Translation Unit Scope

Q

  - quaternion

    - Quaternion Non-Member Operators

    - Quaternion Specializations

    - Template Class quaternion

  - quintic_hermite

    - Quintic Hermite interpolation

R

  - random_search_parameters

    - Random Search

  - random_uniform_initializer_rvar

    - Reverse Mode autodiff policies

  - rayleigh_distribution

  - relative_objective_tol_policy

    - minimize

  - reverse_mode_function_eval_policy

    - Reverse Mode autodiff policies

  - reverse_mode_gradient_evaluation_policy

    - Reverse Mode autodiff policies

  - rvar

    - Gradient Descent

    - L-BFGS

    - Nesterov Accelerated Gradient Descent

    - Reverse Mode Automatic Differentiation

S

  - saspoint5_distribution

    - SαS Point5 Distribution

  - simplex_constraint

    - minimize

  - simple_continued_fraction

    - Simple Continued Fractions

  - sinh_sinh

    - Overview

    - sinh_sinh

  - skew_normal_distribution

  - students_t_distribution

  - summation_condition_number

    - Condition Numbers

T

  - tanh_sinh

    - Overview

    - tanh_sinh

  - tape_initializer_rvar

    - Reverse Mode autodiff policies

  - triangular_distribution

    - Additional Implementation Notes

    - Triangular Distribution

U

  - ulps_plot

    - ULPs Plots

  - unconstrained_policy

    - minimize

  - uniform_distribution

  - unit_sphere_constraint

    - minimize

  - upper_incomplete_gamma_fract

    - Continued Fraction Evaluation

    - Graphing, Profiling, and Generating Test Data for Special Functions

V

  - vector_barycentric_rational

    - Vector-valued Barycentric Rational Interpolation

W

  - wallclock_termination_policy

    - minimize

  - weibull_distribution

  - whittaker_shannon

    - Whittaker-Shannon interpolation